import type { _AVAssetVariant } from "./AVAssetVariant.js";
import type { _AVMetricEvent } from "./AVMetricEvent.js";
import type { _NSArray } from "../Foundation/NSArray.js";
export declare class _AVMetricPlayerItemLikelyToKeepUpEvent extends _AVMetricEvent {
    static alloc(): _AVMetricPlayerItemLikelyToKeepUpEvent;
    static new(): _AVMetricPlayerItemLikelyToKeepUpEvent;
    init(): _AVMetricPlayerItemLikelyToKeepUpEvent;
    /**
     * Returns the variant selected at the time likely to keep up is achieved. If no value is present, returns nil.
     */
    variant(): _AVAssetVariant | null;
    /** Returns the total time taken to reach likely to keep up. */
    timeTaken(): number;
    /**
     * This property provides a collection of time ranges for which the player has the media data readily available. The ranges provided might be discontinuous. Returns an NSArray of NSValues containing CMTimeRanges.
     */
    loadedTimeRanges(): _NSArray;
}
